/*
 * Copyright (C) 2010 Canonical, Ltd.
 *
 * Authors:
 *  Florian Boucault <florian.boucault@canonical.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "deelistmodel.h"

#include <QDebug>

int main(int argc, char *argv[])
{
    DeeListModel model;
    model.setObjectPath("/com/canonical/dee/model/com/canonical/Unity/ApplicationsPlace/SectionsModel");
    model.setService("com.canonical.Unity.ApplicationsPlace");

    for(int i = 0; i < model.rowCount(); ++i) {
        qDebug() << model.data(model.index(i));
    }
}
